package refTests;

import org.junit.Test;

public class Test05_CLx_stelaExtrapInvalidParam extends RefTests {

	/**
	 * Equivalent to Scilab test CLx_stela_extrap_invalid_params.tst - test 1
	 * @throws Exception 
	 */
	@Test(expected = Exception.class)
	public void test01() throws Exception {
		initStela();

		double[] cjd = new double[delta_t.length];
		for (int k = 0; k < delta_t.length; k++) {
			cjd[k] = cjd0 + delta_t[k] / 86400;
		}

		params = params_backup;
		params.addString("drag_coefType", "Invalid");

		CLx_stela_extrap(cjd0, x0, delta_t, params, res, ut1_tref, tt_tref);

	}

	/**
	 * Equivalent to Scilab test CLx_stela_extrap_invalid_params.tst - test 2
	 * @throws Exception 
	 */
	@Test(expected = Exception.class)
	public void test02() throws Exception {
		initStela();

		double[] cjd = new double[delta_t.length];
		for (int k = 0; k < delta_t.length; k++) {
			cjd[k] = cjd0 + delta_t[k] / 86400;
		}

		params = params_backup;
		params.addString("drag_atmosphericModel", "Invalid");

		CLx_stela_extrap(cjd0, x0, delta_t, params, res, ut1_tref, tt_tref);

	}

	/**
	 * Equivalent to Scilab test CLx_stela_extrap_invalid_params.tst - test 3
	 * @throws Exception 
	 */
	@Test(expected = Exception.class)
	public void test03() throws Exception {
		initStela();

		double[] cjd = new double[delta_t.length];
		for (int k = 0; k < delta_t.length; k++) {
			cjd[k] = cjd0 + delta_t[k] / 86400;
		}

		params = params_backup;
		params.addString("drag_solarActivityType", "Invalid");

		CLx_stela_extrap(cjd0, x0, delta_t, params, res, ut1_tref, tt_tref);

	}

	/**
	 * Equivalent to Scilab test CLx_stela_extrap_invalid_params.tst - test 4
	 * @throws Exception 
	 */
	@Test(expected = Exception.class)
	public void test04() throws Exception {
		initStela();

		double[] cjd = new double[delta_t.length];
		for (int k = 0; k < delta_t.length; k++) {
			cjd[k] = cjd0 + delta_t[k] / 86400;
		}

		params = params_backup;
		String[] invString = new String[] { "Sun", "invalid" };
		params.addStringArray("thirdBody_bodies", invString);

		CLx_stela_extrap(cjd0, x0, delta_t, params, res, ut1_tref, tt_tref);

	}

	/**
	 * Equivalent to Scilab test CLx_stela_extrap_invalid_params.tst - test 5
	 * @throws Exception 
	 */
	@Test(expected = Exception.class)
	public void test05() throws Exception {
		initStela();

		double[] cjd = new double[delta_t.length];
		for (int k = 0; k < delta_t.length; k++) {
			cjd[k] = cjd0 + delta_t[k] / 86400;
		}

		params = params_backup;
		delta_t = new double[] { 0, 10, 30 };

		CLx_stela_extrap(cjd0, x0, delta_t, params, res, ut1_tref, tt_tref);

	}

	/**
	 * Equivalent to Scilab test CLx_stela_extrap_invalid_params.tst - test 6
	 * @throws Exception 
	 */
	@Test(expected = Exception.class)
	public void test06() throws Exception {
		initStela();
		
		double[] cjd = new double[delta_t.length];
		for (int k = 0; k < delta_t.length; k++) {
			cjd[k] = cjd0 + delta_t[k] / 86400;
		}

		params = params_backup;
		delta_t = new double[] { -10, 0, 10 };

		CLx_stela_extrap(cjd0, x0, delta_t, params, res, ut1_tref, tt_tref);

	}

	/**
	 * Equivalent to Scilab test CLx_stela_extrap_invalid_params.tst - test 7
	 * @throws Exception 
	 */
	@Test(expected = Exception.class)
	public void test07() throws Exception {
		initStela();
		
		double[] cjd = new double[delta_t.length];
		for (int k = 0; k < delta_t.length; k++) {
			cjd[k] = cjd0 + delta_t[k] / 86400;
		}

		params = params_backup;
		params.addInteger("mass", -1000);

		delta_t = new double[] { 0, 10, 20 };

		CLx_stela_extrap(cjd0, x0, delta_t, params, res, ut1_tref, tt_tref);

	}

}
